% 
% STARTScript_dynGutter_TaylorDropSurface_EiF      
%
%           Initiates the calculation of the dynamic gutter radius and
%           returns the approximated interface of the Taylor droplet
%
%         	as pubilshed    Miener, U., Helmers, T., Lindken, R. et al. 
%                          	Exp Fluids (2019) 60: 75. 
%                         	https://doi.org/10.1007/s00348-019-2719-0



% channel geometry
Hch     = 100;      % m
ar      = 1;        % -

% droplet geometry
Ld_Wch  = 1.5;     % -


% fluidic force influence

% valid for Ca < 0.01
Ca      = 0.005;    % -
% valid for Re < 1
Re      = 0.005;    % -

% correlation: to be published by Helmers (expected 2019)

% experimental value:
kf      =  1.0643   % -
kb      =  0.8627   % -

% Number of supporting points
N       = 50;      % -


[kgf,kgb,d_h]                   = DynamicGutterRadius_EiF(Hch,ar,kf,kb,Ca,Re,N)

Flag_ShowFigure         = 1;
Flag_ComputeVolume      = 1;

[SurfaceData,SurfaceNormal,Vd]  = DropletSurface_EiF(Hch,ar,kf,kb,Ld_Wch,d_h,kgf,kgb,N,Flag_ShowFigure,Flag_ComputeVolume);

Vd  % Droplet volume in m